Query receipts with filtering and pagination
POST
/v2/receipts/query
const url = 'https://api-crm-staging.divinea.com/api/v2/receipts/query';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"authorityCommunicationState":"TODO","authorityCommunicationStates":"example","count":1,"customerName":"example","documentStatus":"example","endDate":"example","externalEntityId":"example","externalReceiptId":"example","fiscalOperation":"RECEIPT","fiscalOperations":"example","integrationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","maxTotalCents":1,"minTotalCents":1,"page":1,"pointOfSaleWineSuiteId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","pointOfSaleWineSuiteIds":"example","progressiveNumber":1,"receiptType":"ORDER","saleDocumentState":"NONE","saleDocumentStates":"example","sortBy":"example","startDate":"example","status":"CREATED","terminalId":"example","terminalName":"example","wineryChannelId":"example","wineryChannelIds":"example","wineryId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v2/receipts/query \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "authorityCommunicationState": "TODO", "authorityCommunicationStates": "example", "count": 1, "customerName": "example", "documentStatus": "example", "endDate": "example", "externalEntityId": "example", "externalReceiptId": "example", "fiscalOperation": "RECEIPT", "fiscalOperations": "example", "integrationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "maxTotalCents": 1, "minTotalCents": 1, "page": 1, "pointOfSaleWineSuiteId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pointOfSaleWineSuiteIds": "example", "progressiveNumber": 1, "receiptType": "ORDER", "saleDocumentState": "NONE", "saleDocumentStates": "example", "sortBy": "example", "startDate": "example", "status": "CREATED", "terminalId": "example", "terminalName": "example", "wineryChannelId": "example", "wineryChannelIds": "example", "wineryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Sezione intitolata “Authorizations”Request Body
Sezione intitolata “Request Body”Criteria
Media typeapplication/json
Filters for Receipts
object
authorityCommunicationState
string
authorityCommunicationStates
string
count
integer format: int32
customerName
string
documentStatus
string
endDate
string
externalEntityId
string
externalReceiptId
string
fiscalOperation
string
fiscalOperations
string
integrationId
string format: uuid
maxTotalCents
integer format: int64
minTotalCents
integer format: int64
page
integer format: int32
pointOfSaleWineSuiteId
string format: uuid
pointOfSaleWineSuiteIds
string
progressiveNumber
integer format: int32
receiptType
string
saleDocumentState
string
saleDocumentStates
string
sortBy
string
startDate
string
status
string
terminalId
string
terminalName
string
wineryChannelId
string
wineryChannelIds
string
wineryId
string format: uuid
Responses
Sezione intitolata “Responses”OK
Media type*/*
Page«ReceiptV2DTO»
object
content
Array<object>
ReceiptV2DTOobject
adeDocumentNumber
string
authorityCommunicationState
string
cancellationReason
string
createdAt
string format: date-time
discountTotalCents
integer format: int64
externalEntityId
string format: uuid
externalReceiptId
string
extraData
string
fiscalOperation
string
id
string format: uuid
integrationId
string format: uuid
internalDocumentNumber
string
pdfLink
string
pointOfSaleWineSuiteId
string format: uuid
progressiveNumber
integer format: int32
publicLink
string
qrCodeData
string
receiptData
string
receiptLines
Array<object>
ReceiptLineobject
additionalText
string
createdAt
string format: date-time
description
string
discountAmountCents
integer format: int64
discountPercent
integer format: int32
entityId
string
entityType
string
fiscalNatureId
string format: uuid
id
string format: uuid
inlineDiscountAmountCents
integer format: int64
inlineDiscountName
string
lineNumber
integer format: int32
lineType
string
netTotalCents
integer format: int64
quantity
number
receiptId
string format: uuid
saleRowId
integer format: int64
stornoReceiptId
string format: uuid
unit
string
unitPriceCents
integer format: int64
updatedAt
string format: date-time
vatAmountCents
integer format: int64
vatPercent
integer format: int32
receiptPayments
Array<object>
ReceiptPaymentobject
createdAt
string format: date-time
currency
string
externalId
string
grossTotalCents
integer format: int64
id
string format: uuid
method
string
paymentId
string format: uuid
paymentNumber
integer format: int32
provider
string
receiptId
string format: uuid
status
string
updatedAt
string format: date-time
receiptType
string
refDate
string format: date-time
referencedInternalDocumentNumber
string
referencedReceiptId
string format: uuid
saleDocumentState
string
status
string
totalCents
integer format: int64
totalNoVatCents
integer format: int64
updatedAt
string format: date-time
vatAmountCents
integer format: int64
wineryId
string format: uuid
empty
boolean
first
boolean
last
boolean
number
integer format: int32
numberOfElements
integer format: int32
pageable
Pageable
object
offset
integer format: int64
pageNumber
integer format: int32
pageSize
integer format: int32
paged
boolean
sort
Sort
object
empty
boolean
sorted
boolean
unsorted
boolean
unpaged
boolean
size
integer format: int32
sort
Sort
object
empty
boolean
sorted
boolean
unsorted
boolean
totalElements
integer format: int64
totalPages
integer format: int32